import org.json.JSONObject;
import java.io.IOException;
import shell.ev.locations.*;
import org.json.JSONArray;


public class App {

	public static void main(String[] args) throws IOException, InvalidEnvironment {

		EVLocations test = new EVLocations("test");

		String clientid = "v11k44qAjhzOcAybA0uTqUyAeSGfGhOx";
		String clientsecret ="TyAFlJXFXrQjElG3";
      
		// Get all the charging location details 

		String result = test.getLocations(clientid,clientsecret);

		// Retrive avaiable Evse details from the location API response 
		JSONObject res = new JSONObject(result);
		JSONArray sessionid1 = res.getJSONArray("data");
		JSONObject first = sessionid1.getJSONObject(0);
		JSONArray evse = first.optJSONArray("evses");
		JSONObject evse1 = evse.getJSONObject(0);
		String evseid = evse1.getString("evseId");   
		
		// Start the charging session from avaialbe EVSE 
		
		String EVCharge = "NL-TNM-216599-x";
		String Response = test.startChargesession(clientid, clientsecret, EVCharge, evseid);
		JSONObject coderollsJSONObject = new JSONObject(Response);
		JSONArray sessionid2 = coderollsJSONObject.getJSONArray("Data");
		String sessionid = sessionid2.getJSONObject(0).getString("sessionId");
       

		// Retriveing current status details through Retrieve API
		
		System.out.println(test.retrieveChargesession(clientid, clientsecret,sessionid));
		

	


	
	}

  

}